EDIT - feature request #8124

Activate Name Facts in Taxeditor
02/22/2019 10:30 AM - Katja Luther

Status: Closed
Priority: Highest
Assignee: Katja Luther
Category: taxeditor
Target version: Release 5.6

Severity: normal

Start date:
Due date:
% Done:

Estimated time:

50%
0:00 hour

Description

Namefacts should be shown for names in bulk editor. (see discussion in #7653)

Therefore following is needed:

e activate factual data view for name bulkeditor
e implement operation to create new NameDescription

e implement correct use of nameFeature vocabulary for menu

e activation like supplemental data activation when name is selected in details view

e adapt factual data view label

¢ adapt cache strategy to create a titleCache reflecting that it is a name fact

the topics above are implemented.

Related issues:

Related to EDIT - feature request #8128: Add indicator for feature facts and/...
Copied to EDIT - bug #8229: reload of the bulkeditor does not work correctly

Duplicate
Closed

Associated revisions

Revision 52d76872 - 02/28/2019 10:49 AM - Katja Luther
ref #8124: adapt editor to be able to edit NameFacts

Revision c495b39b - 02/28/2019 11:50 AM - Katja Luther

ref #8124: adapt NaturalLanguageGenerator to usage in nameFacts

Revision b6f51ff3 - 02/28/2019 12:11 PM - Katja Luther

ref #8124 activate name facts for name in taxon details view

Revision 2a8f0c28 - 02/28/2019 12:43 PM - Katja Luther
ref #8124: add new TaxonNameDescriptionDefaultCacheStrategy

Revision 9bc62cb0 - 03/04/2019 10:12 AM - Katja Luther

ref #8124: add deleteTaxonNameDescription operation

Revision 872fe921 - 03/04/2019 11:38 AM - Katja Luther

ref #8124: fix add NameDescription with source

Revision 78f2e016 - 03/04/2019 11:55 AM - Katja Luther

ref #8124: rename createTaxonNameDescriptionOperation

Revision 0e1842fc - 03/04/2019 11:58 AM - Katja Luther

ref #8124: rename createTaxonNameDescriptionOperation - continue
Revision 6ec2be5e - 04/09/2019 08:50 AM - Katja Luther
ref #8124: adapt TaxonNameDescriptionDefaultCacheStrategy

Revision 5ce89578 - 04/09/2019 10:16 AM - Katja Luther

ref #8124: do not show move description(element) menu item for name facts

Revision 5fcf8d0f - 04/09/2019 10:36 AM - Katja Luther

ref #8124: change label for name facts

Revision 68d759¢3 - 04/09/2019 01:34 PM - Katja Luther

ref #8124: remaining issues for name facts (protologue filter)

Revision 72¢c67e90 - 04/15/2019 03:53 PM - Katja Luther

ref #8124: adapt NaturalLanguageGenerator to usage in nameFacts

Revision 3a9a4643 - 04/15/2019 03:53 PM - Katja Luther
ref #8124: add new TaxonNameDescriptionDefaultCacheStrategy

Revision dd834f23 - 04/15/2019 03:53 PM - Katja Luther
ref #8124: adapt TaxonNameDescriptionDefaultCacheStrategy

History

#1 - 02/22/2019 10:30 AM - Katja Luther

- Status changed from New to In Progress

#2 - 02/22/2019 11:19 AM - Andreas Miiller

Can we also activate name facts in the same way as supplemental data are activated => if focus is explicitly on a name then name facts are shown in
the facts view?

#3 - 02/22/2019 11:24 AM - Andreas Miiller

- Related to feature request #8128: Add indicator for feature facts and/or vocabularies which description type they support added

#4 - 02/22/2019 11:25 AM - Andreas Miiller

Also consider #8128 for future implementations.

#5 - 02/27/2019 03:30 PM - Katja Luther

for the name bulk editor the name facts are activated now.

still missing is the activation if name is selected in details view.

#6 - 02/27/2019 03:31 PM - Katja Luther

- Description updated

#7 - 02/28/2019 11:24 AM - Katja Luther

when activating the name facts for the name displayed in the details view, the details view is the selectionProviding part for the factual data view and
the the factual data view is the selection providing part of the details view.

This leads to an endless loop in findSavablePart.

#8 - 02/28/2019 12:12 PM - Katja Luther

- Description updated
#9 - 02/28/2019 12:14 PM - Katja Luther
Katja Luther wrote:

when activating the name facts for the name displayed in the details view, the details view is the selectionProviding part for the factual data view
and the the factual data view is the selection providing part of the details view.

This leads to an endless loop in findSavablePart.
this is fixed

#10 - 03/04/2019 11:39 AM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

please review

#11 - 04/03/2019 06:50 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Patrick Plitzner

please do first review on nightly

#12 - 04/03/2019 06:50 PM - Andreas Miiller
- % Done changed from 0 to 50

#13 - 04/04/2019 08:33 AM - Patrick Plitzner
- File picture908-1.png added

- Assignee changed from Patrick Plitzner to Andreas Muiller

Tested on nightly:

| selected a name in the bulk editor

Creation of name description works

The list of available features is filtered (see image). | don't know if this is correct, though.

| created a description element and saved

| opened the taxon belonging to this name, selected the name in the details view and it showes the description + the element

| edited the element and saved again

minor (refresh) issue: Going back to the bulk editor, the change of the description element did not show until | closed and re-opened the bulk
editor
#14 - 04/08/2019 05:19 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Katja Luther

When entering via NameDetailsView and name selection the facts view still contains menu element "Move fact data set to other taxon". It should be
disabled or should allow moving to another name, not taxon. This is the case for data sets and for single data records.

If selected via bulk editor it is either disabled or invisible (not sure why sometimes disabled and sometimes invisible, could not reproduce, but at least
it is kind of correct).
#15 - 04/08/2019 05:23 PM - Andreas Miiller

It would be nice to have a separate label to point out that we are working on name level, not taxon level now. E.g Name facts instead of Factual data
or so.

Also the cache strategy for the description could be adapted to "Name facts for xxx" or "Factual data set for name xxxx".

#16 - 04/08/2019 05:25 PM - Andreas Miiller

- Status changed from Resolved to Feedback

| wonder if we should explicitly remove "Protologue" from the feature list. Protologues will soon be handled differently in the source part of the name.
To avoid users to create protologue data which is not according to our current standards filtering the feature might be helpful. We remove the filter
later if users still wish to have it as freetext feature.

#17 - 04/08/2019 05:37 PM - Andreas Miiller
In bulk editor there are 2 strange behaviors which are may be more bulk editor related then name facts related.

If | open 2 bulk editor searching for the same name, e.g. "Gattung art*" in rem_conf_am. Then | add additional name facts to the name in 1 one the
bulk editors and save.

Switching to the other name bulk editor does not change the currently shown data in facts view, but only because name facts view seems not to be
updated (but should! Maybe difficult because same object, but in other state because edited in 2 different sessions!).

Changing focus to some other object and back now shows the old data, which is expected because the other bulk editor was not yet refreshed.

Runnting the search again in the other bulk editor does still not change the data in facts view => this is unexpected because re-search is expected to
completely reload all data.

If these issues are primarily bulk editor related we may open new tickets, but with high priority. By the way you can also reproduce if the editing is
done not in a bulk editor by via selection of scientific name in details view.

#18 - 04/09/2019 09:12 AM - Katja Luther
Andreas Muller wrote:
In bulk editor there are 2 strange behaviors which are maybe more bulk editor related then name facts related.

If | open 2 bulk editor searching for the same name, e.g. "Gattung art*" in rem_conf_am. Then | add additional name facts to the name in 1 one
the bulk editors and save.

Switching to the other name bulk editor does not change the currently shown data in facts view, but only because name facts view seems not to
be updated (but should! Maybe difficult because same object, but in other state because edited in 2 different sessions!).

This is because it is the same object, | will have a look if it is easy to fix, otherwise | create a new ticket.
Changing focus to some other object and back now shows the old data, which is expected because the other bulk editor was not yet refreshed.
Runnting the search again in the other bulk editor does still not change the data in facts view => this is unexpected because re-search is
expected to completely reload all data.

This seems to be a problem of the bulk editor, too.

If these issues are primarily bulk editor related we may open new tickets, but with high priority.
By the way you can also reproduce if the editing is done not in a bulk editor by via selection of scientific name in details view.

#19 - 04/09/2019 09:25 AM - Katja Luther

Katja Luther wrote:
Andreas Miiller wrote:
In bulk editor there are 2 strange behaviors which are maybe more bulk editor related then name facts related.

If | open 2 bulk editor searching for the same name, e.g. "Gattung art*" in rem_conf_am. Then | add additional name facts to the name in 1
one the bulk editors and save.

Switching to the other name bulk editor does not change the currently shown data in facts view, but only because name facts view seems
not to be updated (but should! Maybe difficult because same object, but in other state because edited in 2 different sessions!).

This is because it is the same object, | will have a look if it is easy to fix, otherwise | create a new ticket.

To avoid too many new rendering of the details view the actual and the previous selection are compared and when they are the same nothing is
refreshed. -> #8228

#20 - 04/09/2019 11:17 AM - Katja Luther
Andreas Miller wrote:
It would be nice to have a separate label to point out that we are working on name level, not taxon level now. E.g Name facts instead of Factual

data or so.
Also the cache strategy for the description could be adapted to "Name facts for xxx" or "Factual data set for name xxxx".

The label and the cacheStrategy for NameDescriptions are adapted.
#21 - 04/09/2019 11:20 AM - Katja Luther
- Description updated
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

the issues mentioned above are fixed and for the bulk editor issue a new ticket is created. So | close this ticket.

#22 - 04/10/2019 03:52 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

Can you please link the bulk editor tickets?

The switching between 2 bulk editors with same name seems to work now.

Updating the data via a new search in same bulk editor does not seem to work yet. Is there a ticket for this? Please either link to ticket or create new
one (or fix if simple to fix).

#23 - 04/11/2019 11:33 AM - Katja Luther
- Status changed from Feedback to Closed

the ticket for the updating of bulkeditors is #8229, the rest is implemented and reviewed so | close this ticket.

#24 - 04/11/2019 11:34 AM - Katja Luther
- Related to bug #8229: reload of the bulkeditor does not work correctly added

#25 - 05/17/2019 11:01 AM - Andreas Miiller
- Related to deleted (bug #8229: reload of the bulkeditor does not work correctly)

#26 - 05/17/2019 11:01 AM - Andreas Miiller
- Copied to bug #8229: reload of the bulkeditor does not work correctly added

Files
